Payment
Stored in the payments collection. createdAt and updatedAt are maintained automatically.
Returned by GET /transaction-history, GET /transaction-history/:id.
| Field | Type | Notes |
|---|---|---|
transactionID | string | |
company | ObjectId -> Company | required |
subscription | ObjectId -> Subscription | |
subscriptionChange | ObjectId -> SubscriptionChange | |
seatsPaymentHistory | ObjectId -> SeatsPaymentHistory | |
paymentFor | string | default subscription_purchase · one of subscription_purchase, scheduled_change, seat_addon, seats_upgrade, feature_addon |
status | string | default pending · one of pending, success, failed |
updatedBy | ObjectId -> Member | |
createdBy | ObjectId -> Member | |
invoiceFile | ObjectId -> File | |
amount | number | |
currency | string | |
orderid | string | |
paymentid | string | |
signature | string | |
paymethod | string | |
_id | ObjectId | default "6a95712f932657988a91c0c8" |
createdAt | date | set once |
updatedAt | date |